//*****************************************************************************************
// Truevision - a 3d modeler for gnome and povray
//
// fnintern.cc
//
// Vincent LE PRINCE <vincentleprince@users.sourceforge.net>
// Copyright (C) 2000-2005 Vincent LE PRINCE
// This file is part of the TRUEVISION Package

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */ 
//*******************************************************************************************
#include "include/fnintern.h"
#include <math.h>


 /* Some <math.h> files do not define M_PI... */
#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif


// I removed every function here because i wasn't sure i had the right to implement this.
// This was *very* closed to povray sources, which license is incompatible with gpl.
// I'll bring them back when i have authorization from the povray team.
// Sorry but there's no way to bypass this.

double min( double a, double b ) { return a > b ? b : a; }
double max( double a, double b ) { return a > b ? a : b; }


double f_algbr_cyl1( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}

double f_algbr_cyl2( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}

double f_algbr_cyl3( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}

double f_algbr_cyl4( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}


double f_bicorn( double x, double y, double z, double arg1, double arg2 )
{
return 0;
}

double f_bifolia( double x, double y, double z, double arg1, double arg2 )
{
return 0;
}

double f_blob( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}

double f_blob2( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4 )
{
return 0;
}
	
	
// f_boy_surface
double f_boy_surface( double x, double y, double z, double arg1, double arg2 )
{
return 0;
}			

// f_comma
double f_comma( double x, double y, double z, double arg1 )
{
return 0;
}


double f_cross_ellipsoids( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4 )
{
return 0;
}
	
// f_crossed_through
double f_crossed_through( double x, double y, double z, double arg1 )
{
return 0;
}



// f_cubic_saddle
double f_cubic_saddle( double x, double y, double z, double arg1 )
{
	return 0;	
}
			
				
// f_cushion
double f_cushion( double x, double y, double z, double arg1 )
{
return 0;
}


double f_devils_curve( double x, double y, double z, double arg1 )
{
return 0;
}


double f_devils_curve_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
return 0;
}

double f_dupin_cyclid( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
 return 0;
}

double f_ellipsoid( double x, double y, double z, double arg1, double arg2,  double arg3 )
{
return 0;  
}

double f_enneper( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_flange_cover( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
  return 0;
}

double f_folium_surface( double x, double y, double z, double arg1, double arg2,  double arg3 )
{
 return 0;
}

double f_folium_surface_2d(double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
return 0;
}

double f_glob( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_heart( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_helical_torus(double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6, double arg7, double arg8,  double arg9, double arg10 )
{
 return 0;
}

double f_helix1(double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6, double arg7 )
{
return 0;
}

double f_helix2( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6, double arg7 )
{
return 0;
}

double f_hex_x( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_hex_y( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_hetero_mf( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
return 0;
}

double f_hunt_surface( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_hyperbolic_torus(double x, double y, double z, double arg1, double arg2,  double arg3 )
{
 return 0; 
}

double f_isect_ellipsoids( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
 return 0; 
}

double f_kampyle_of_eudoxus(  double x, double y, double z, double arg1, double arg2,  double arg3 )
{
 return 0;
}

double f_kampyle_of_eudoxus_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
  return 0;
}

double f_klein_bottle( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_kummer_surface_v1( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_kummer_surface_v2( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
 return 0; 
}

double f_lemniscate_of_gerono( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_lemniscate_of_gerono_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
 return 0; 
}

double f_mesh1( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;	
}

double f_mitre( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_nodal_cubic( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_odd( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_ovals_of_cassini( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
return 0;  
}

double f_paraboloid(  double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_parabolic_torus( double x, double y, double z, double arg1, double arg2,  double arg3 )
{
 return 0; 
}

double f_ph( double x, double y, double z )
{
 return 0;
}

double f_pillow( double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_piriform(  double x, double y, double z, double arg1 )
{
 return 0; 
}

double f_piriform_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6, double arg7 )
{
 return 0; 
}

double f_poly4( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
return 0;
}

double f_polytubes( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
  return 0;
}

double f_quantum(  double x, double y, double z, double arg1 )
{
 return 0;
}

double f_quartic_paraboloid( double x, double y, double z, double arg1 )
{
  return 0;
}

double f_quartic_saddle( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_quartic_cylinder( double x, double y, double z, double arg1, double arg2,  double arg3 )
{
 return 0;
}

double f_r( double x, double y, double z )
{
 return 0;
}

double f_ridge( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
   return (0);
}

double f_ridged_mf( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
 
  return (0);
}

double f_rounded_box( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
return 0;	
}

double f_sphere( double x, double y, double z, double arg1 )
{
return 0;	
}

double f_spikes( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5 )
{
 return 0;
}

double f_spikes_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
 return 0;
}

double f_spiral( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
return 0;
}

double f_steiners_roman( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_strophoid( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4  )
{
  return 0;
}

double f_strophoid_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6, double arg7 )
{
 return 0;
}

double f_superellipsoid( double x, double y, double z, double arg1, double arg2 )
{
return 0;	
}

double f_th( double x, double y, double z )
{
 return 0;
}

double f_torus( double x, double y, double z, double arg1, double arg2 )
{
return 0;
}

double f_torus2( double x, double y, double z, double arg1, double arg2,  double arg3  )
{
 return 0;
}

double f_torus_gumdrop( double x, double y, double z, double arg1 )
{
  return 0;
}

double f_umbrella( double x, double y, double z, double arg1 )
{
 return 0;
}

double f_witch_of_agnesi( double x, double y, double z, double arg1, double arg2 )
{
 return 0;
}

double f_witch_of_agnesi_2d( double x, double y, double z, double arg1, double arg2,  double arg3, double arg4, double arg5, double arg6 )
{
  return 0;
}
